package model

type CentralKitchenForSchoolUserWithDay struct {
	Id            int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	OrdNo         string `json:"ord_no" xorm:"not null default '' comment('订单号') VARCHAR(50)"`
	Uid           int    `json:"uid" xorm:"not null default 0 comment('用户id') INT(11)"`
	EnterpriseId  int    `json:"enterprise_id" xorm:"not null default 0 comment('校企id') INT(11)"`
	IdentityId    int    `json:"identity_id" xorm:"not null default 0 comment('身份id') INT(11)"`
	Kind          int    `json:"kind" xorm:"not null default 1 comment('就餐类型(1:早餐 2:午餐 3:晚餐)') TINYINT(1)"`
	Amount        string `json:"amount" xorm:"not null default '' comment('金额') CHAR(50)"`
	MealLabelId   int    `json:"meal_label_id" xorm:"not null default '' comment('餐标id') INT(11)"`
	MealLabelName string `json:"meal_label_name" xorm:"not null default '' comment('餐标名称') CHAR(50)"`
	Date          string `json:"date" xorm:"not null default '0000-00-00' comment('日期') CHAR(50)"`
	State         int    `json:"state" xorm:"not null default 1 comment('状态(1:待就餐 2:已就餐 3:退款中 4:已退款)') TINYINT(1)"`
}
