package main

import (
	"applet/app/db"
	"applet/app/db/model"
	"applet/app/utils"
	"context"
	"fmt"
	"log"
	"net/http"
	"os"
	"os/signal"
	"syscall"
	"time"

	"applet/app/cfg"
	"applet/app/router"
)

func main1() {
	//svc.CentralKitchenForSchoolAlipayTradeFastpayRefundQuery(db.Db)
	var list []model.CentralKitchenForSchoolPackageOrdForReserve
	if err := db.Db.Where("create_at >= '2024-09-01 15:00:00'").Desc("id").Find(&list); err != nil {
		fmt.Println(err)
	}
	//
	var ordIds = map[string]string{}
	for _, v := range list {
		if ordIds[v.OutTradeNo+"_"+utils.AnyToString(v.Kind)+"_"+v.ReserveMonth] != "" {
			continue
		}
		var tmpList []model.CentralKitchenForSchoolPackageOrdForReserve
		if err := db.Db.Where("out_trade_no = ?", v.OutTradeNo).And("kind =?", v.Kind).And("reserve_month =?", v.ReserveMonth).
			And("total_price =?", v.TotalPrice).Find(&tmpList); err != nil {
			fmt.Println(err)
		}
		fmt.Println(v.OutTradeNo)
		if len(tmpList) > 1 {
			ordIds[v.OutTradeNo+"_"+utils.AnyToString(v.Kind)+"_"+v.ReserveMonth] = v.OutTradeNo
			utils.FilePutContents("test_test_test", v.OutTradeNo)
		}
		//	v.RecordsId = -v.RecordsId
		//	v.OutTradeNo = "-" + v.OutTradeNo
		//	affected1, err := db.Db.Where("id=?", v.Id).Cols("records_id", "out_trade_no").Update(&v)
		//	if err != nil {
		//		fmt.Println(err)
		//	}
		//	fmt.Println(">>>>>>>>>>>>>>>>>affected1<<<<<<<<<<<<<<<<<<<", affected1)
		//	continue
		//	var mm []model.CentralKitchenForSchoolUserRefundDay
		//	if err := db.Db.Where("uid = ?", v.Uid).And("state = 1").Desc("records_id").Find(&mm); err != nil {
		//		fmt.Println(err)
		//	}
		//
		//	if len(mm) > 0 {
		//		mmm := new(model.CentralKitchenForSchoolUserWithDay)
		//		_, err := db.Db.Where("id =?", mm[0].RecordsId).Get(mmm)
		//		if err != nil {
		//			fmt.Println(err)
		//		}
		//		//if mmm.Date == "2024-01-31" {
		//		//1、更改当前记录
		//		v.Uid = -v.Uid
		//		affected1, err := db.Db.Where("id=?", v.Id).Cols("uid").Update(&v)
		//		if err != nil {
		//			fmt.Println(err)
		//		}
		//		fmt.Println(">>>>>>>>>>>>>>>>>affected1<<<<<<<<<<<<<<<<<<<", affected1)
		//		vv := new(model.CentralKitchenForSchoolUserWithDay)
		//		_, err = db.Db.Where("id =?", v.RecordsId).Get(vv)
		//		if err != nil {
		//			fmt.Println(err)
		//		}
		//		vv.State = 2
		//		affected11, err := db.Db.Where("id=?", vv.Id).Cols("state").Update(vv)
		//		if err != nil {
		//			fmt.Println(err)
		//		}
		//		fmt.Println(">>>>>>>>>>>>>>>>>affected11<<<<<<<<<<<<<<<<<<<", affected11)
		//
		//		//2、更改兑换记录
		//		mm[0].OutRequestNo = v.OutRequestNo
		//		mm[0].State = v.State
		//		mm[0].RefundDate = v.RefundDate
		//		mm[0].Memo = "exchange"
		//		affected2, err := db.Db.Where("id=?", mm[0].Id).Cols("out_request_no", "state", "refund_date", "memo").Update(mm[0])
		//		if err != nil {
		//			fmt.Println(err)
		//		}
		//		fmt.Println(">>>>>>>>>>>>>>>>>affected2<<<<<<<<<<<<<<<<<<<", affected2)
		//		mmm.State = 4
		//		affected22, err := db.Db.Where("id=?", mmm.Id).Cols("state").Update(mmm)
		//		if err != nil {
		//			fmt.Println(err)
		//		}
		//		fmt.Println(">>>>>>>>>>>>>>>>>affected22<<<<<<<<<<<<<<<<<<<", affected22)
		//
		//		//}
		//	} else {
		//		notCanUserIds = append(notCanUserIds, v.Uid)
		//	}
	}
	return
	r := router.Init() //创建路由

	srv := &http.Server{ //设置http服务参数
		Addr:    cfg.SrvAddr, //指定ip和端口
		Handler: r,           //指定路由
	}

	go func() { //协程启动监听http服务
		fmt.Println("Listening and serving HTTP on " + cfg.SrvAddr)
		if err := srv.ListenAndServe(); err != nil && err != http.ErrServerClosed {
			log.Fatalf("listen: %s\n", err)
		}
	}()

	//退出go守护进程
	quit := make(chan os.Signal)
	signal.Notify(quit, syscall.SIGINT, syscall.SIGTERM)
	<-quit
	log.Println("Shutting down server...")
	ctx, cancel := context.WithTimeout(context.Background(), 10*time.Second)
	defer cancel()
	if err := srv.Shutdown(ctx); err != nil {
		log.Fatal("Server forced to shutdown:", err)
	}
	log.Println("Server exiting")

}
